# Contributing

If you have any questions, please open an [issue](https://github.com/RunaCapital/awesome-oss-clones/issues).

## How to contribute
First, collect required information about the startup: 
  - startup name 
  - short description
  - category (presented in the list or a new one)
  - website url
  - github repo url
  - names of SaaS competitors
  - website urls of SaaS competitors

Then you have two options how to contribute.

### Using Python

1. Clone this repo:

        git clone https://github.com/RunaCapital/awesome-oss-alternatives.git

2. In the root of the repo run the following command:
        
        python3 .\add_company.py
 
 3. CLI application will walk you through all the necessary steps
 4. Submit a pull request

### Using web-interface

1. Edit the README.md file through Github's web interface
2. List is sorted in an alphabetical order by a category and a company name. Please find the right place for insertion.
3. Format your submission as follows:
        
         Category name| [Company Name](https://company_url.com) | Description
         |<a href=https://github.com/COMPANY/COMPANY_REPO_NAME><img src="https://img.shields.io/github/stars/COMPANY/COMPANY_REPO_NAME?style=social" width=150/></a>
         |[SaaS Name 1](https://www.saas1_url.com/), [SaaS Name 2](https://saas2_url.com/)
4. Submit a pull request
5. See [Editing files in another user's repository](https://help.github.com/articles/editing-files-in-another-user-s-repository/), [Creating Pull Requests](https://help.github.com/articles/creating-a-pull-request/), [Using Pull Requests](https://help.github.com/articles/using-pull-requests/) for help on sending your patch.

**Important**: Please add one startup per pull-request. Also please check, that you are adding it to the right category and in the right place (startups in a category are sorted in a alphabetical order).

Happy contributing!
